Package twisted :: Package application :: Module internet :: Class SSLServer |
[frames | no frames]

## Class SSLServer

             Service --+
                       |
    _VolatileDataService --+
                           |
             _AbstractServer --+
                               |
                              SSLServer

Serve SSL clients

Call listenSSL when the service starts, with the arguments given to the constructor. When the service stops, stop listening.

Method Summary
Inherited from _AbstractServer
| ``__init__`(self, *args, **kwargs)`
| ``_getPort`(self)`
| ``privilegedStartService`(self)`
| ``startService`(self)`
| ``stopService`(self)`
Inherited from _VolatileDataService
| ``__getstate__`(self)`
Inherited from Service
| ``disownServiceParent`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
`str` | `method` = `'SSL'`
Inherited from _AbstractServer
`int` | `privileged` = 1
`list` | `volatile` = `['_port']`
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Class Variable Details

    ### method Type: `str` Value:
        'SSL'

Generated by Epydoc 2.0 on Sat Oct 25 00:55:13 2003 | http://epydoc.sf.net